Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.nodes
Class MappingNode

    java.lang.Object
      org.yaml.snakeyaml.nodes.Node
          org.yaml.snakeyaml.nodes.CollectionNode
              org.yaml.snakeyaml.nodes.MappingNode

    public class MappingNode

extends CollectionNode

Represents a map.

A map is a collection of unsorted key-value pairs.

Field Summary

Fields inherited from class org.yaml.snakeyaml.nodes.Node
`endMark, resolved, useClassConstructor`

Constructor Summary
`MappingNode(Tag tag, boolean resolved, List<NodeTuple> value, Mark startMark, Mark endMark, Boolean flowStyle)`
`MappingNode(Tag tag, List<NodeTuple> value, Boolean flowStyle)`

Method Summary
`NodeId` | `getNodeId()` For error reporting.
`List<NodeTuple>` | `getValue()` Returns the entries of this map.
`boolean` | `isMerged()`
`void` | `setMerged(boolean merged)`
`void` | `setOnlyKeyType(Class<? extends Object> keyType)`
`void` | `setTypes(Class<? extends Object> keyType, Class<? extends Object> valueType)`
`void` | `setValue(List<NodeTuple> merge)`
`String` | `toString()`

Methods inherited from class org.yaml.snakeyaml.nodes.CollectionNode
`getFlowStyle, setEndMark, setFlowStyle`

Methods inherited from class org.yaml.snakeyaml.nodes.Node
`equals, getEndMark, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingNode

    public MappingNode(Tag tag,
                       boolean resolved,
                       List<NodeTuple> value,
                       Mark startMark,
                       Mark endMark,
                       Boolean flowStyle)

### MappingNode

    public MappingNode(Tag tag,
                       List<NodeTuple> value,
                       Boolean flowStyle)

Method Detail

### getNodeId

    public NodeId getNodeId()

  Description copied from class: `Node`
  For error reporting.

  Specified by:
    `getNodeId` in class `Node`
  Returns:
    scalar, sequence, mapping
  See Also:
    `variable 'id' in PyYAML`

### getValue

    public List<NodeTuple> getValue()

  Returns the entries of this map.

  Returns:
    List of entries.

### setValue

    public void setValue(List<NodeTuple> merge)

### setOnlyKeyType

    public void setOnlyKeyType(Class<? extends Object> keyType)

### setTypes

    public void setTypes(Class<? extends Object> keyType,
                         Class<? extends Object> valueType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setMerged

    public void setMerged(boolean merged)

  Parameters:
    `merged` - - true if map contains merge node

### isMerged

    public boolean isMerged()

  Returns:
    true if map contains merge node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.